import { newSpecPage } from "@stencil/core/testing";
import { BpSdkAccumulationQuestionGroupContainer } from "./bp-sdk-accumulation-question-group-container";
describe('bp-sdk-accumulation-question-group-container', () => {
    it('renders', async () => {
        const page = await newSpecPage({
            html: '<bp-sdk-accumulation-question-group-container></bp-sdk-accumulation-question-group-container>',
            components: [BpSdkAccumulationQuestionGroupContainer],
        });
        await page.waitForChanges();
        const element = page.root.querySelector('bp-sdk-accumulation-question-group');
        expect(element).toBeTruthy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest.spyOn(customElements, 'whenDefined').mockResolvedValueOnce({});
        const page = await newSpecPage({
            html: '<bp-sdk-accumulation-question-group-container></bp-sdk-accumulation-question-group-container>',
            components: [BpSdkAccumulationQuestionGroupContainer],
        });
        await page.waitForChanges();
        const element = page.root.querySelector('bp-sdk-accumulation-question-group');
        expect(element).toBeFalsy();
        whenDefinedMock.mockRestore();
    });
});
